Upgrade Mail Toaster

From The Network People, Inc. - Wiki
Jump to: navigation, search

On any recent Mail::Toaster, this will work:

toaster_setup.pl -s toaster

On v3.x toasters, this may work:

perl -e 'use MATT::Utility; InstallMailToaster';

If neither works, your toaster is pre-historic and you will have to manually install Mail::Toaster. Download the tarball, extract it and install with the following make targets:

perl Makefile.PL
make
make deps  (new target in 5.06, use bin/toaster_setup.pl -s pre in previous versions)
make test
make install conf
./bin/toaster_setup.pl -s config